/*

Copyright (c) 2009 Şükrü Çınar  (sukru cinar)

This program is distributed under GNU GPL v2. See file COPYING
for licensing details.

*/

#include <fx.h>
#include "flight_log_table.h"

void *__unused_testf_cc[] = {

  0,
};

class MyFoxApp:public FXApp
{
FXDECLARE (MyFoxApp) public:
  enum
  { ID_FIRSTCMD = FXApp::ID_LAST, };
public:
    MyFoxApp (const FXString & name, const FXString & vendor):FXApp (name,
								     vendor)
  {
  }
  MyFoxApp ():FXApp ()
  {
  }
};

MyFoxApp *foxapp;

FXDEFMAP (MyFoxApp) MyFoxAppMap[] =
{
};

FXIMPLEMENT (MyFoxApp, FXApp, MyFoxAppMap, ARRAYNUMBER (MyFoxAppMap))
     int main (int argc, char **argv)
{
  FXMainWindow *main_window;
  flight_log_table *table;

  foxapp = new MyFoxApp ("Test", "BlackSys");
  foxapp->init (argc, argv);

  main_window = new FXMainWindow (foxapp,
				  "HELLO!!", NULL, NULL, DECOR_ALL,
				  0, 0, 600, 600);

  table = new flight_log_table (main_window,
				FRAME_NORMAL | LAYOUT_FILL_X | LAYOUT_FILL_Y);
  table->editable = 1;

  foxapp->create ();
  main_window->show (PLACEMENT_SCREEN);
  foxapp->run ();
  return 0;
}

void
flight_log_table::onccr_date (char *v, int idx)
{
  begin_update ();
  S.date[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_atype (char *v, int idx)
{
  begin_update ();
  S.atype[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_areg (char *v, int idx)
{
  begin_update ();
  S.areg[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_depplc (char *v, int idx)
{
  begin_update ();
  S.depplc[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_arrplc (char *v, int idx)
{
  begin_update ();
  S.arrplc[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_rmk (char *v, int idx)
{
  begin_update ();
  S.rmk[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_se (char *v, int idx)
{
  begin_update ();
  S.se[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_me (char *v, int idx)
{
  begin_update ();
  S.me[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_deptm (int v, int idx)
{
  begin_update ();
  S.deptm[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_arrtm (int v, int idx)
{
  begin_update ();
  S.arrtm[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_mptime (int v, int idx)
{
  begin_update ();
  S.mptime[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_ldg_day (int v, int idx)
{
  begin_update ();
  S.ldg_day[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_ldg_ngt (int v, int idx)
{
  begin_update ();
  S.ldg_ngt[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_opngt (int v, int idx)
{
  begin_update ();
  S.opngt[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_opifr (int v, int idx)
{
  begin_update ();
  S.opifr[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_ophood (int v, int idx)
{
  begin_update ();
  S.ophood[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_fpic (int v, int idx)
{
  begin_update ();
  S.fpic[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_fcop (int v, int idx)
{
  begin_update ();
  S.fcop[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_fdual (int v, int idx)
{
  begin_update ();
  S.fdual[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_finst (int v, int idx)
{
  begin_update ();
  S.finst[idx].set (v);
  end_update ();
}

void
flight_log_table::onccr_synth (int v, int idx)
{
  begin_update ();
  S.synth[idx].set (v);
  end_update ();
}

int
flight_log_table::show_if_zero (int row, int col)
{
  return cell_defs[row][col].show_if_zero;
}
